# Public APIs

This section focuses on a API implementation. We would like to allow for all developers to be able to integrate, even beyond the scope of web3.

## Links

* sandbox: <https://sandboxapi.0xkyc.id/docs>

{% hint style="info" %}
You can use already configured test account.

apiKey: "test1"

apiSecret: "123456789123456789"
{% endhint %}

* prod: [https://api.0xkyc.id/docs](https://sandboxapi.0xkyc.id/docs)

{% hint style="info" %}
You need to get issued an apiKey from us.

Please send an email to us <Support@0xkyc.id> using the *<mark style="color:orange;">**apiKey request form**</mark>* below after changing #{something} to the proper one.
{% endhint %}

<details>

<summary><em><mark style="color:orange;"><strong>apiKey request form</strong></mark></em></summary>

Email Title

```
[ApiKey Request] from #{yourName or organizationName}
```

Email Content

```
Dear 0xkyc Support Team,
I am writing to request an API key for accessing the services offered by 0xkyc.

Details:
Name/Organization: #{yourName or organizationName}
Purpose of Integration: #{Briefly describe why you want to integrate with 0xkyc, such as "We are developing a financial app that requires KYC checks for our users."}

Contact Information:
Email: #{yourEmail}
(optional)Website: #{yourWebsiteLink}
```

</details>

## APIs

{% openapi src="/files/Elv8SurbXEpL5aTeju7E" path="/auth" method="post" %}
[openedApiDocs.json](https://3963575259-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyX8UjIeZe2T6a7dmvUvI%2Fuploads%2FI2cukrgzuiD8jqRkDgVL%2FopenedApiDocs.json?alt=media\&token=d30c292e-74f7-4b06-aa7d-57a5a5fc520e)
{% endopenapi %}

{% openapi src="/files/Elv8SurbXEpL5aTeju7E" path="/api/v1/hasSoul" method="get" %}
[openedApiDocs.json](https://3963575259-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyX8UjIeZe2T6a7dmvUvI%2Fuploads%2FI2cukrgzuiD8jqRkDgVL%2FopenedApiDocs.json?alt=media\&token=d30c292e-74f7-4b06-aa7d-57a5a5fc520e)
{% endopenapi %}

{% openapi src="/files/Elv8SurbXEpL5aTeju7E" path="/api/v1/uuid" method="get" %}
[openedApiDocs.json](https://3963575259-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyX8UjIeZe2T6a7dmvUvI%2Fuploads%2FI2cukrgzuiD8jqRkDgVL%2FopenedApiDocs.json?alt=media\&token=d30c292e-74f7-4b06-aa7d-57a5a5fc520e)
{% endopenapi %}

{% openapi src="/files/Elv8SurbXEpL5aTeju7E" path="/api/v1/pairs" method="get" %}
[openedApiDocs.json](https://3963575259-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyX8UjIeZe2T6a7dmvUvI%2Fuploads%2FI2cukrgzuiD8jqRkDgVL%2FopenedApiDocs.json?alt=media\&token=d30c292e-74f7-4b06-aa7d-57a5a5fc520e)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0xkyc.id/developer-guides/public-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
